' MediaInfo.Dll interface
' Copyright (C) 2002-2006 Jerome Martinez, Zen@MediaArea.net 
' This library is under the terms of the GNU Lesser General Public License
'++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
'++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
'
' To make this example working, you must put MediaInfo.Dll and Example.ogg
' in the "./Bin/__ConfigurationName__" folder
'
'++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Public Enum StreamKind As Integer
    General
    Visual
    Audio
    Text
    Chapters
    Image
    Menu
    Max
End Enum

Public Enum InfoKind As Integer
    Name
    Text
    Measure
    Options
    NameText
    MeasureText
    Info
    HowTo
    Max
End Enum

Public Enum InfoOptions As Integer
    ShowInInform
    Reserved
    ShowInSupported
    TypeOfValue
    Max
End Enum

Private Declare Unicode Function MediaInfo_New Lib "MediaInfo.DLL" () As Integer
Private Declare Unicode Sub MediaInfo_Delete Lib "MediaInfo.DLL" (ByVal Handle As Integer)
Private Declare Unicode Function MediaInfo_Open Lib "MediaInfo.DLL" (ByVal Handle As Integer, ByVal File As String) As Integer
Private Declare Unicode Sub MediaInfo_Close Lib "MediaInfo.DLL" (ByVal Handle As Integer)
Private Declare Unicode Function MediaInfo_Inform Lib "MediaInfo.DLL" (ByVal Handle As Integer, ByVal Reserved As Integer) As String
Private Declare Unicode Function MediaInfo_GetI Lib "MediaInfo.DLL" (ByVal Handle As Integer, ByVal StreamKind As StreamKind, ByVal StreamNumber As Integer, ByVal Parameter As Integer, ByVal KindOfInfo As InfoKind) As String 'See MediaInfoDLL.h for enumeration values
Private Declare Unicode Function MediaInfo_Get Lib "MediaInfo.DLL" (ByVal Handle As Integer, ByVal StreamKind As StreamKind, ByVal StreamNumber As Integer, ByVal Parameter As String, ByVal KindOfInfo As InfoKind, ByVal KindOfSearch As InfoKind) As String
Private Declare Unicode Function MediaInfo_Option Lib "MediaInfo.DLL" (ByVal Handle As Integer, ByVal Option_ As String, ByVal Value As String) As String
Private Declare Unicode Function MediaInfo_State_Get Lib "MediaInfo.DLL" (ByVal Handle As Integer) As Integer 'see MediaInfo.h for details
Private Declare Unicode Function MediaInfo_Count_Get Lib "MediaInfo.DLL" (ByVal Handle As Integer, ByVal StreamKind As StreamKind, ByVal StreamNumber As Integer) As Integer 'see MediaInfoDLL.h for enumeration values
